version="$1"
ui_root_dir="$2"

dir_tool=anttracks-tool-"$version"

rm -rf "$dir_tool"

mkdir -p "$dir_tool"/DEBIAN &&
mkdir -p "$dir_tool"/usr/lib/anttracks/tool &&
mkdir -p "$dir_tool"/usr/share/applications/ &&

sed "s/VERSION/$version/g" ./control.template.tool > "$dir_tool"/DEBIAN/control &&
touch "$dir_tool"/DEBIAN/conffiles &&

unzip -qq -o "$ui_root_dir/build/distributions/UI.zip" -d "$dir_tool"/usr/lib/anttracks/tool/ &&
#following lines not needed anymore since zip content gets directly extracted into folder
#mv "$dir_tool"/usr/lib/anttracks/tool/UI/* "$dir_tool"/usr/lib/anttracks/tool/
#rm -rf "$dir_tool"/usr/lib/anttracks/tool/UI &&

cp "$ui_root_dir"/AntTracks.desktop "$dir_tool"/usr/share/applications/ &&

#chmod 555 "$dir_tool"/DEBIAN/* &&
#chown -R root:root "$dir_tool"/ &&

dpkg-deb --build "$dir_tool" &&

rm -rf "$dir_tool"

result=$?
if [ $result -ne 0 ]; then
	exit $result
fi

#alien --to-rpm --scripts --keep-version *.deb && sudo chown $(whoami):$(whoami) *.rpm

mv ./*.deb "$ui_root_dir/build/distributions/"
#mv ./*.rpm "$ui_root_dir/build/distributions/"
